%define version	1.20
%define release 5mdk
%define name 	perl-Period
%define realname Period

Summary:	Time::Period module for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Time/%{realname}-%{version}.tar.bz2
URL: 		http://www.perl.com/CPAN/modules/by-module/Time/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix: %{_prefix}

%description
Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().

inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

%prep
%setup -q -n %{realname}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib` ; install -d $RPM_BUILD_ROOT/$installarchlib
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Period.html README
%{_libdir}/perl5/site_perl/*/Time/*
%{perl_sitearch}/auto/*
%{_libdir}/perl5/man/*/*

%changelog
* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.20-5mdk
- fix %%files

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.20-4mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.20-3mdk
- Rebuild for the latest perl.

* Wed Dec 13 2000 Pixel <pixel@mandrakesoft.com> 1.20-2mdk
- remove stupid requires

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 1.20-1mdk
- macroszifications.

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.


